NAME
	`& - intersection

SYNTAX
	a & b
	or
	mixed `&(mixed ... args)

DESCRIPTION
	This operator does logical intersections. For ints this means
	bitwise and.

	Arrays and multisets are treated as sets, so intersecting two arrays
	will result in an array with containing all values present in all
	arguments.

	For mappings, the intersection will be done on the indexes solely,
	however, the values will be taken from the rightmost mapping.

KEYWORDS
	operators

SEE ALSO
	`|, `^, &&
